This function is called everytime a mouse button is pressed.

---

#### Syntax:
```lua
function _mousepressed(x,y,button)
  --Do something here
end
```

---

#### Arguments:

* **x (Number)**: x position of cursor.
* **y (Number)**: y position of cursor.
* **button  (Number)**: pressed button (1 for left mouse button, 2 for right mouse button, 3 for middle mouse button).